local E, L, DF = unpack(ElvUI); --Inport: Engine, Locales, ProfileDB, GlobalDB

loc_db = loc_db or {
-- Options
	['loc_enable'] = true,
	['loc_datatxt'] = true,
	['loc_both'] = true,
	['loc_combat'] = true,
-- Tooltip
	['loc_tt'] = true,
	['loc_tthint'] = true,
-- Layout
	['loc_shadow'] = false,
	['loc_trans'] = false,
	['loc_ht'] = true,
-- Font
	['lpfont'] = E.db.general.font,
	['lpfontsize'] = E.db.general.fontsize,
	['lpfontflags'] = "OUTLINE",
}

-- Options
E.Options.args.locplus = {
	order = 9000,
	type = 'group',
	name = L["- ElvUI LocationPlus"],
	get = function(info) return loc_db[ info[#info] ] end,
	set = function(info, value) loc_db[ info[#info] ] = value; end,
	args = {
		loc_name = {
			order = 1,
			type = "header",
			name = L["LocationPlus "]..format("v|cff33ffff%s|r",ElvUI_Location.version)..L[" by Benik (EU-Emerald Dream)"],
		},
		loc_desc = {
			order = 2,
			type = "description",
			name = L["LocationPlus adds a movable player location panel, 2 datatext panels and more"],
		},		
		loc_toptop = {
			order = 3,
			type = "group",
			name = L["General"],
			guiInline = true,
			args = {
				loc_enable = {
					order = 1,
					name = L["Enable"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; StaticPopup_Show("CONFIG_RL") end,					
				},
				loc_combat = {
					order = 2,
					name = L["Hide in Combat"],
					desc = L["Show/Hide all panels when in combat"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,					
				},
				loc_reset = {
					order = 3,
					type = "execute",
					name = L["Reset Positions"],
					desc = L["Reset Location Panels to their default position."],
					func = function() E:LocResetPos() end,
				},
			},
		},
		loc_general = {
			order = 3,
			type = "group",
			name = L["Options"],
			guiInline = true,
			args = {
				loc_datatxt = {
					order = 1,
					name = L["Datatext Panels"],
					desc = L["Enable/Disable Datatext Panels.\nChoose the value, in ElvUI DataTexts section"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; StaticPopup_Show("CONFIG_RL") end,					
				},
				loc_both = {
					order = 2,
					name = L["Zone and Subzone"],
					desc = L["Displays the main zone and the subzone in the location panel"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,					
				},
			},
		},
		loc_gen_tt = {
			order = 4,
			type = "group",
			name = L["Tooltips"],
			guiInline = true,
			args = {
				loc_tt = {
					order = 1,
					name = L["Show/Hide tooltip"],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,					
				},
				loc_tthint = {
					order = 2,
					name = L["Show Hints"],
					desc = L["Enable/Disable hints on Tooltip."],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; end,					
				},
			},
		},
		loc_layout = {
			order = 5,
			type = "group",
			name = L["Layout"],
			guiInline = true,
			args = {
				loc_shadow = {
					order = 1,
					name = L["Shadows"],
					desc = L["Enable/Disable layout with shadows."],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; AllLocPanelsShadow(); AllLocPanelsShadowReposition(); end,					
				},
				loc_trans = {
					order = 2,
					name = L["Transparent"],
					desc = L["Enable/Disable transparent layout."],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; AllLocPanelsTransparent(); LocPlusUpdate();  end,	
				},				
				loc_ht = {
					order = 3,
					name = L["Larger Location Panel"],
					desc = L["Adds 6 pixels at the Main Location Panel height."],
					type = 'toggle',
					get = function(info) return loc_db[ info[#info] ] end,
					set = function(info, value) loc_db[ info[#info] ] = value; LocPanelHeight(); LocPlusUpdate(); end,	
				},
			},
		},
		loc_font = {
			order = 6,
			type = "group",
			name = L["Media"],
			guiInline = true,
			args = {
				lpfont = {
					type = "select", dialogControl = 'LSM30_Font',
					order = 1,
					name = L["Font"],
					desc = L["Choose font for the Location and Coords panels."],
					values = AceGUIWidgetLSMlists.font,	
					set = function(info, value) loc_db[ info[#info] ] = value; E:LocCoordPanelFont(); LocPlusUpdate(); end,
				},
				lpfontsize = {
					order = 2,
					name = L["Fontsize"],
					desc = L["Set the font size."],
					type = "range",
					min = 6, max = 22, step = 1,
					set = function(info, value) loc_db[ info[#info] ] = value; E:LocCoordPanelFont(); LocPlusUpdate(); end,
				},
				lpfontflags = {
					order = 3,
					name = L['Fontflags'],
					type = 'select',
					values = {
					['NONE'] = NONE,
					['MONOCHROME'] = L["MONOCHROME"],
					['OUTLINE'] = L["OUTLINE"],
					['THICKOUTLINE'] = L["THICKOUTLINE"],
					},
				set = function(info, value) loc_db[ info[#info] ] = value; E:LocCoordPanelFont(); LocPlusUpdate(); end,
				},
			},
		},		
	},					
}